---
id: "SimpleCalendar.WeekdayData"
title: "Interface: WeekdayData"
sidebar_label: "WeekdayData"
custom_edit_url: null
pagination_next: null
pagination_prev: null
---

[SimpleCalendar](../namespaces/SimpleCalendar.md).WeekdayData

Interface for all information about a weekday

## Hierarchy

- `IDataItemBase`

  ↳ **`WeekdayData`**

## Properties

### abbreviation

• **abbreviation**: `string`

The abbreviated name of the weekday.

___

### id

• **id**: `string`

The unique ID of the data item

#### Inherited from

IDataItemBase.id

___

### name

• **name**: `string`

The name of the weekday.

#### Overrides

IDataItemBase.name

___

### numericRepresentation

• **numericRepresentation**: `number`

The number representing the weekday.

#### Overrides

IDataItemBase.numericRepresentation
